/* ROSA Media Player Plugin
 * Julia Mineeva, Evgeniy Augin. Copyright (c) 2011 ROSA  <support@rosalab.ru>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 3,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */


#include "cacheslider.h"

#include <QPainter>
#include <QRect>

CacheSlider::CacheSlider( QWidget *parent )
    : TimeSlider( parent )
    , m_cacheValue( 0 )
{
}

void CacheSlider::paintEvent( QPaintEvent * ev )
{
    QRect r = contentsRect();
    double step = r.width() / 100;

    QPainter painter( this );
    painter.setPen( Qt::green );
    painter.drawRect( r.x(), r.y(), static_cast<int>( step * m_cacheValue ), r.height() );

    TimeSlider::paintEvent( ev );
}

void CacheSlider::setCacheValue( int val )
{
    m_cacheValue = val;
    repaint();
}
