/*  ROSA Media Player plugin
    Julia Mineeva, Evgeniy Augin. Copyright (c) 2011 ROSA  <support@rosalab.ru>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef FULLSCREENWIDGET_H
#define FULLSCREENWIDGET_H

#include <QWidget>

class QTimer;
class QMenu;
class VolumeControl;
class MiniControlPanel;
class Core;
class WaitWidget;

class FullScreenWidget : public QWidget
{
    Q_OBJECT

public:
    explicit FullScreenWidget( QMenu* menu, Core* core, WaitWidget* waitwidget, QWidget* parent = 0 );
    void setControl( MiniControlPanel* );

public slots:
    void hide();

protected:
    void keyPressEvent( QKeyEvent* );
    void mouseMoveEvent( QMouseEvent* );
    void mousePressEvent( QMouseEvent* );
    void initVolumeControl();

signals:
    void offFullScreen();

protected slots:
    void hideControlSlot();
    void hideVolumeWindow();
    void toogleVolumeSlider( int x, int y );

private:
    QTimer*              m_hideTimer;
    MiniControlPanel*    m_control;
    QMenu*               m_menu;
    Core*                m_core;
    QWidget*             m_volumeWidget;
    VolumeControl*       m_volumeSlider;
    bool                 m_connectFlag;
    WaitWidget*          m_waitWidget;
};

#endif // FULLSCREENWIDGET_H
