/*  ROSA Media Player plugin
    Julia Mineeva, Evgeniy Augin. Copyright (c) 2011 ROSA  <support@rosalab.ru>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef ROSAMPPLUGINWMP_H
#define ROSAMPPLUGINWMP_H

#include "rosamp-plugin.h"


class RosampPluginWmp : public RosampPlugin
{
    Q_OBJECT

    Q_CLASSINFO( "MIME",
                 // Windows Media player file formats
                 "application/x-mplayer2:*:Media Files;"
                 "video/x-mplayer2:*:Media Files;"
                 "application/x-ms-wmv:wmv, *:Microsoft WMV video;"
                 "video/x-mplayer2:*:Media Files;"
                 "video/x-ms-asf-plugin:*:Media Files;"
                 "video/x-ms-asf:asf, asx, *:Media Files;"
                 "video/x-ms-wmv:wmv, *:Microdsoft WMV video;"
                 "video/x-ms-wvx:wmv:video Windows Media;"
                 "video/x-ms-wm:wmv:video Windows Media;"
                 "video/x-ms-wmp:wmv:video Windows Media;"
                 "video/x-wmv:wmv:video Windows Media;"

                 // AVI
                 "video/x-msvideo:avi, *:AVI;"
                 "video/msvideo:avi, *:AVI;"
               )
public:
    RosampPluginWmp(QWidget *parent = 0);
    ~RosampPluginWmp();
};


#endif // ROSAMPPLUGINWMP_H
